<template>
  <div class="overview">
    <h1 class="title">ارتباط با ما</h1>
    <p class="description">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>
    <div class="info">
      <div class="item">
        <p class="key">ایمیل:</p>
        <p class="value">{{ email }}</p>
      </div>
      <div class="item">
        <p class="key">تلفن تماس:</p>
        <p class="value">{{ phone }}</p>
      </div>
    </div>
    <div class="socials">
      <a :href="facebook" class="social-link" v-if="facebook">
        <Button round type="text" size="sm" color="dark">
          <template #icon>
            <FacebookIcon />
          </template>
        </Button>
      </a>
      <a :href="instagram" class="social-link" v-if="instagram">
        <Button round type="text" size="sm" color="dark">
          <template #icon>
            <InstagramIcon />
          </template>
        </Button>
      </a>
      <a :href="telegram" class="social-link" v-if="telegram">
        <Button round type="text" size="sm" color="dark">
          <template #icon>
            <TelegramIcon />
          </template>
        </Button>
      </a>
    </div>
  </div>
</template>

<script>
import Button from "@/components/base/Button";
import FacebookIcon from "@/assets/svgs/facebook.svg";
import InstagramIcon from "@/assets/svgs/instagram.svg";
import TelegramIcon from "@/assets/svgs/telegram.svg";

export default {
  name: "Overview",
  components: {
    Button,
    FacebookIcon,
    InstagramIcon,
    TelegramIcon
  },
  props: {
    email: {
      type: String,
      default: "example@email.com"
    },
    phone: {
      type: String,
      default: "021-4329877"
    },
    instagram: {
      type: String,
      default: 'asdasd'
    },
    telegram: {
      type: String,
      default: 'asdasd'
    },
    facebook: {
      type: String,
      default: 'asdasd'
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.overview
  background-color $primary
  border-radius .5rem
  padding $md
  direction rtl
  color $black

.title
  font-size 3.6rem
  margin-bottom $md
  text-align center

.description
  margin-bottom $md

.item
  display flex
  justify-content space-between
  padding $sm
  transition all .2s ease-out
  &:hover
    border-radius .5rem
    background-color $black
    color $white
    padding $sm
    transform scale(1.1)
    box-shadow 0 .5rem 1rem rgba(black, .1)

.key
  margin-left $md

.info
  margin-bottom $md

.socials
  display flex
  justify-content center

.social-link
  &:not(:last-child)
    margin-left $md
</style>